Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class CorpusIO.CorpusHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          infomat.vectorspace.CorpusIO.CorpusHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  CorpusIO

    private class CorpusIO.CorpusHandler

extends org.xml.sax.helpers.DefaultHandler

Exports the corpus in XML format The file is saved in compressed .zip-format.

Field Summary
`private java.lang.StringBuffer` | `buffer`
`private int` | `docId`
`private java.lang.String` | `fileName`
`private java.lang.String` | `filePath`
`private float` | `freq`
`private float` | `globalWeight`
`private int` | `id`
`private float` | `localWeight`
`private IMatrix` | `m`
`private boolean` | `readFile`
`private java.lang.String` | `stem`
`private java.lang.String` | `title`
`private float` | `weight`

Constructor Summary
`CorpusIO.CorpusHandler(IMatrix m, boolean readFile)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m

    private IMatrix m

### readFile

    private boolean readFile

### buffer

    private java.lang.StringBuffer buffer

### id

    private int id

### docId

    private int docId

### stem

    private java.lang.String stem

### freq

    private float freq

### weight

    private float weight

### localWeight

    private float localWeight

### globalWeight

    private float globalWeight

### title

    private java.lang.String title

### fileName

    private java.lang.String fileName

### filePath

    private java.lang.String filePath

Constructor Detail

### CorpusIO.CorpusHandler

    public CorpusIO.CorpusHandler(IMatrix m,
                                  boolean readFile)

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD